Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document.output
Interface RtfDataCache

All Known Implementing Classes:
  RtfDiskCache, RtfEfficientMemoryCache, RtfMemoryCache

    public interface RtfDataCache

The RtfDataCache interface must be implemented by classes wishing to act as caches for the rtf document data.

Version:
  $Id: RtfDataCache.java 2776 2007-05-23 20:01:40Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`static int` | `CACHE_DISK` Constant for caching to the disk.
`static int` | `CACHE_MEMORY` Constant for caching into memory.
`static int` | `CACHE_MEMORY_EFFICIENT` Constant for caching efficently into memory.

Method Summary
`OutputStream` | `getOutputStream()` Get the OutputStream that the RtfDocument can write to.
`void` | `writeTo(OutputStream target)` Write the content of the cache into the OutputStream.

Field Detail

### CACHE_MEMORY_EFFICIENT

    static final int CACHE_MEMORY_EFFICIENT

  Constant for caching efficently into memory.

  See Also:
    Constant Field Values

### CACHE_MEMORY

    static final int CACHE_MEMORY

  Constant for caching into memory.

  See Also:
    Constant Field Values

### CACHE_DISK

    static final int CACHE_DISK

  Constant for caching to the disk.

  See Also:
    Constant Field Values

Method Detail

### getOutputStream

    OutputStream getOutputStream()

  Get the OutputStream that the RtfDocument can write to.

  Returns:
    The OutputStream the RtfDocument can use.

### writeTo

    void writeTo(OutputStream target)
                 throws IOException

  Write the content of the cache into the OutputStream.

  Parameters:
    `target` - The OutputStream to write the content into.
  Throws:
    `IOException` - If an error occurs reading/writing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD